/*
	ScsiInitRecord.c
		Copyright Paul Baxter

   The following MPW commands will build the dcmd and copy it to the
   "Debugger Prefs" file in the System folder. The dcmd's name in
   MacsBug will be the name of the file built by the Linker.

   You must have the following object files in the "{Libraries}" directory:
   dcmdGlue.a.o DRuntime.o put.c.o 
   You must also have the folowing header files in the "{CIncludes}" directory:
   dcmd.h put.h

	   	C ScsiInitRecord.c
		Link "{Libraries}"dcmdGlue.a.o scsiinitrecord.c.o "{Libraries}"patchlib.a.o "{Libraries}"DRuntime.o  -o ScsiInitRecord
		BuildDcmd ScsiInitRecord 103
		Echo 'include "ScsiInitRecord";'	|	Rez -a -o "{systemFolder}Debugger Prefs"
*/

#include <Types.h>
#include <Errors.h>
#include <dcmd.h>
#include <Patch.h>

pascal void CommandEntry (dcmdBlock* paramPtr)
{
	OSErr err;
	
	switch (paramPtr->request)
		{
		case dcmdInit:
			break;

		case dcmdHelp:
			dcmdDrawLine ("\pScsiInitRecord");
			dcmdDrawLine ("\p   Set recording buffer pointer to start of buffer.");
			break;

		case dcmdDoIt:
			err = SCSIINITRECORD();
			if (err == unimpErr) {
				dcmdDrawLine ("\pSCSI Patch not Installed.");
			}
			else {
				dcmdDrawLine ("\pRecording buffer pointer reset to start of buffer.");
			}
			break;
		}
} // CommandEntry
