/*
	start_scsi_record.c
		Copyright Paul Baxter

   The following MPW commands will build the dcmd and copy it to the
   "Debugger Prefs" file in the System folder. The dcmd's name in
   MacsBug will be the name of the file built by the Linker.

   You must have the following object files in the "{Libraries}" directory:
   dcmdGlue.a.o DRuntime.o put.c.o 
   You must also have the folowing header files in the "{CIncludes}" directory:
   dcmd.h put.h

	   	C start_scsi_record.c
		Link "{Libraries}"dcmdGlue.a.o start_scsi_record.c.o "{Libraries}"patchlib.a.o "{Libraries}"DRuntime.o  -o ScsiRecord
		BuildDcmd ScsiRecord 101
		Echo 'include "ScsiRecord";'	|	Rez -a -o "{systemFolder}Debugger Prefs"
 */

#include <Types.h>
#include <Errors.h>
#include <dcmd.h>
#include <Patch.h>



pascal void CommandEntry (dcmdBlock* paramPtr)
{
	OSErr err;
	
	switch (paramPtr->request)
		{
		case dcmdInit:
			break;

		case dcmdHelp:
			dcmdDrawLine ("\pScsiRecord");
			dcmdDrawLine ("\p   Start Recording SCSI calls.");
			break;

		case dcmdDoIt:
			err = SCSISTARTRECORD();
			if (err == unimpErr) {
				dcmdDrawLine ("\pSCSI Patch not Installed.");
			}
			else {
				dcmdDrawLine ("\pNow Recording SCSI calls.");
				if (err != 0) {
					dcmdDrawLine ("\pWarning Record Buffer Full.");
				}
			}
			break;
		}
} // CommandEntry
