/*
	stop_scsi_record.c
		Copyright Paul Baxter

   The following MPW commands will build the dcmd and copy it to the
   "Debugger Prefs" file in the System folder. The dcmd's name in
   MacsBug will be the name of the file built by the Linker.

   You must have the following object files in the "{Libraries}" directory:
   dcmdGlue.a.o DRuntime.o put.c.o 
   You must also have the folowing header files in the "{CIncludes}" directory:
   dcmd.h put.h

	   	C stop_scsi_record.c
		Link "{Libraries}"dcmdGlue.a.o stop_scsi_record.c.o "{Libraries}"patchlib.a.o "{Libraries}"DRuntime.o  -o ScsiStopRecord
		BuildDcmd ScsiStopRecord 102
		Echo 'include "ScsiStopRecord";'	|	Rez -a -o "{systemFolder}Debugger Prefs"
*/

#include <Types.h>
#include <Errors.h>
#include <dcmd.h>
#include <Patch.h>

pascal void CommandEntry (dcmdBlock* paramPtr)
{
	OSErr err;
	
	switch (paramPtr->request)
		{
		case dcmdInit:
			break;

		case dcmdHelp:
			dcmdDrawLine ("\pScsiStopRecord");
			dcmdDrawLine ("\p  Stop Recording SCSI calls.");
			break;

		case dcmdDoIt:
			err = SCSISTOPRECORD();
			if (err == unimpErr) {
				dcmdDrawLine ("\pSCSI Patch not Installed.");
			}
			else {
				dcmdDrawLine ("\pRecording SCSI calls is now off.");
				if (err != 0) {
					dcmdDrawLine ("\pWarning Record Buffer Full.");
				}
			}
			break;
		}
} // CommandEntry
